Update the expected result of a test ticket
curl --request PATCH \
--url https://demo.enneo.ai/api/mind/aiQualityCheck/testRun/{testRunId}/updateExpectedResult/{ticketId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
}
}
'{
"success": true,
"message": "Test ticket expected result updated successfully",
"testTicket": {
"id": 123,
"testRunId": 123,
"testCaseId": 123,
"ticketId": 123,
"aiAgentId": "<string>",
"config": {},
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"actualResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"rawResult": {},
"outcome": {}
}
}AI Quality Check
Update the expected result of a test ticket
Update the expected value for specific ticket in a run to a value passed in the payload. This also updates the expected results for all future runs, and updates the statistics of the test run.
PATCH
/
aiQualityCheck
/
testRun
/
{testRunId}
/
updateExpectedResult
/
{ticketId}
Update the expected result of a test ticket
curl --request PATCH \
--url https://demo.enneo.ai/api/mind/aiQualityCheck/testRun/{testRunId}/updateExpectedResult/{ticketId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
}
}
'{
"success": true,
"message": "Test ticket expected result updated successfully",
"testTicket": {
"id": 123,
"testRunId": 123,
"testCaseId": 123,
"ticketId": 123,
"aiAgentId": "<string>",
"config": {},
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"actualResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"rawResult": {},
"outcome": {}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
bearerAuthcookieAuth
JWT-based authentication
Body
application/json
The updated expected result for the test ticket. You can either specify all test conditions, or only some. In this case only the provided test conditions will be provided
Show child attributes
Show child attributes
Response
Successful operation
⌘I